*{
    box-sizing: border-box;
}
[v-cloak] {
    display: none !important;
}
.o-y-a{
    overflow-y: auto;
}

img{
    vertical-align: middle;
}


/* flex相关 */
.flex-box{
    display: -webkit-flex;
    display: flex;
}
.flex-direction-c{
    flex-direction: column;
}
.flex-direction-r{
    flex-direction:row;
}
.flex-main{
    flex: 1;
}


/* 界面布局 */
.page-full{
    width: 100%;
    height: 100%;
}
html,body{
    width: 100%;
    height: 100%;
    background-color: #ffffff;
    font-family: "Microsoft YaHei";
}
#app{
    width: 100%;
    height: 100%;
}
#app>.box{
    width: 100%;
    height: 100%;
    display: -webkit-flex;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    position: relative;
}
#app>.box>.content{
    flex: 1;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    background: #f7f8fa;
    position: relative;
}
#app>.box>.content .content-refresh{
    height: 100%;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    background: #f7f8fa;
}
/* #app>.box>.content>div{
    height: 100%;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    position: relative;
} */
#app>.box>.bottom{
    overflow: hidden;
    box-shadow: 0px 1px 5px rgb(200, 198, 198);
    display: -webkit-flex;
    display: flex;
    flex-direction:row;
}
#app>.box>.bottom button{
    border-radius: 0;
}
#app>.box>.bottom .left-content{
    flex: 1;
    padding: 0 15px;
}
#app>.box>.bottom .right-button{
    min-width: 80px;
    
}

#app>.box>.bottom .left-content {
    display: inline-block;
    line-height: 44px;
    margin-right: 30px;
    color: #9e9e9e;
    font-size: 13px;
}

#app>.box>.bottom .left-content .total {
    color: #cd1b21;
    font-weight: 700;
    font-size: 16px;
    margin-right: 10px;
}
.fix-button{
    position: absolute;
    left: 0;
    bottom: 0;
    padding: 15px;
    width: 100%;
}



/* 表格相关 */

.table .table-full {
    width: 100%;
    overflow-x: auto;
}

.table .table-fixed {
    position: absolute;
    left: 0;
    top: 0;
    background: #efefef;
}

.table table {
    width: 100%;
    border-collapse: collapse;
}

.table table tr th {
    color: #8f8f8f;
    font-size: 13px;
    height: 34px;
    white-space: nowrap;
    padding: 0 5px;
    border: 1px solid #fff;
    background: #e3e7f3;
    text-align: left;
}

.table table tr td {
    font-size: 13px;
    height: 34px;
    white-space: nowrap;
    padding: 0 5px;
    border: 1px solid #e5e5e5;
}

.table table tr td .van-cell{
    padding: 0;
}

.td_center {
    text-align: center;
}

.td_right {
    text-align: right;
}

.btn-padding{
    padding: 20px 15px;
}

/* vant样式 */
.left .van-cell__value {
    text-align: left;
}

.form .van-cell__title {
    max-width: 100px;
}

.van-field__label{
    width: 100px;
}

.van-nav-bar{
    background-color: #2d5ef7;
    box-sizing: content-box;
    /* #6e6e6e */
}
.van-nav-bar__title{
    color: #fff;
}
.van-nav-bar__left {
    left: 0;
    width: 80px;
    padding-left: 16px;
    text-align: left;
    
}
.van-nav-bar .van-icon{
    color:#323233;
}
.van-nav-bar__right {
    right: 0;
    padding-right: 16px;
    text-align: right;
    color: #fff;
}
.van-nav-bar__right span {
    display: inline-block;
    margin-left: 15px;
}

.van-nav-bar__right img {
    width: 22px;
    vertical-align: middle;
}
.van-nav-bar__text,.van-nav-bar .van-icon{
    color:#fff;
}
.van-tabs{
    width: 100%;
    height: 100%;
    display: -webkit-flex;
    display: flex;
    flex-direction: column;
}
.van-tabs--card>.van-tabs__wrap{
    overflow:inherit;
    margin: 10px 0;
}
.van-tabs__content{
    flex:1;
    overflow: hidden;
}
.van-tab__pane{
    height: 100%;
    overflow-y: auto;
}
.van-tabs__nav--card .van-tab {
    color: #2fa2b9;
    border-right: 1px solid #2fa2b9;
}
.van-tabs__nav--card .van-tab.van-tab--active{
    background-color: #2fa2b9;
}
.van-pull-refresh,.van-pull-refresh .van-pull-refresh__track{
    height: 100%;
}


.head-menu{
    position: fixed;
    top: 70px;
    right: 10px;
    background: #3e3c3c;
    border-radius: 6px;
    padding: 5px 0 5px 10px;
    color: #fff;
    font-size: 14px;
    width: 130px;
    z-index: 99;
}
.head-menu .menu-arrow{
    position: absolute;
    right: 5px;
    top: -10px;
    height: 20px;
}
.head-menu>div{
    padding: 7px 0;
    border-bottom: 1px solid #5d5b5b;
}
.head-menu>div:last-child{
    border-bottom:0
}
.head-menu>div img{
    width: 26px;
    margin-right: 5px;
}